Create card
curl --request POST \
--url https://cc.nadcab.com/api/v1/cards/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bin": "111111",
"amount": "8.9",
"clientTransactionId": "156sa1d56as1d65a156d6668",
"physical": "0",
"cardholderId": "1f08eb56-c758-6670-99db-0242ac110002",
"accountId": 71,
"ipAddress": "203.0.113.10"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bin: '111111',
amount: '8.9',
clientTransactionId: '156sa1d56as1d65a156d6668',
physical: '0',
cardholderId: '1f08eb56-c758-6670-99db-0242ac110002',
accountId: 71,
ipAddress: '203.0.113.10'
})
};
fetch('https://cc.nadcab.com/api/v1/cards/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/cards/create"
payload = {
"bin": "111111",
"amount": "8.9",
"clientTransactionId": "156sa1d56as1d65a156d6668",
"physical": "0",
"cardholderId": "1f08eb56-c758-6670-99db-0242ac110002",
"accountId": 71,
"ipAddress": "203.0.113.10"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/cards/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bin' => '111111',
'amount' => '8.9',
'clientTransactionId' => '156sa1d56as1d65a156d6668',
'physical' => '0',
'cardholderId' => '1f08eb56-c758-6670-99db-0242ac110002',
'accountId' => 71,
'ipAddress' => '203.0.113.10'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "success",
"data": "37e56e0c-b281-4950-82d6-07aaf6232dd3"
}Cards
Create card
POST
/
cards
/
create
Create card
Authorizations
Your API key from Console → Settings → Key & Access, sent as Authorization: Bearer ncl_....
Body
application/json
Card BIN or BIN ID. The id or bin field returned by List available BINs
Initial top-up amount (up to 2 decimal places)
Required for B2C BINs: the cardholder's real IP address
Your transaction reference
Cardholder details
Show child attributes
Show child attributes
Issue a physical card. 1: physical card, 0: virtual card
Sub-account ID
Cardholder ID. Required in B2C mode